<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ru.entaxy.esb.platform.runtime</groupId>
    <artifactId>base</artifactId>
    <version>1.10.1</version>
  </parent>
  <groupId>ru.entaxy.esb.platform.runtime.base</groupId>
  <artifactId>base-support</artifactId>
  <packaging>bundle</packaging>
  <name>ENTAXY :: PLATFORM :: BASE :: SUPPORT</name>
  <description>ENTAXY :: PLATFORM :: BASE :: SUPPORT</description>
  
  <properties>
  	<bundle.osgi.export.pkg>
  		ru.entaxy.platform.base.support,
  		ru.entaxy.platform.base.support.xml,
  		ru.entaxy.platform.base.support.osgi,
  		ru.entaxy.platform.base.support.osgi.bundle,
  		ru.entaxy.platform.base.support.osgi.feature,
  		ru.entaxy.platform.base.support.osgi.service,
  		ru.entaxy.platform.base.support.osgi.tracker,
  		ru.entaxy.platform.base.support.osgi.tracker.filter,
  		ru.entaxy.platform.base.support.osgi.filter,
  		ru.entaxy.platform.base.support.karaf.shell
  	</bundle.osgi.export.pkg>
	<bundle.osgi.private.pkg>
		org.apache.felix.gogo.runtime.threadio
	</bundle.osgi.private.pkg>  	
  </properties>
  
  <dependencies>
  	<dependency>
  		<groupId>org.apache.commons</groupId>
  		<artifactId>commons-lang3</artifactId>
  		<version>${commons-lang3.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>commons-io</groupId>
  		<artifactId>commons-io</artifactId>
  		<version>${commons-io.version}</version>
  	</dependency>
  	<dependency>
  		<groupId>org.osgi</groupId>
  		<artifactId>osgi.core</artifactId>
  	</dependency>
    <dependency>
        <groupId>javax.xml.bind</groupId>
        <artifactId>jaxb-api</artifactId>
    </dependency>
    <dependency>
    	<groupId>commons-codec</groupId>
    	<artifactId>commons-codec</artifactId>
    </dependency>
    <dependency>
		<groupId>ru.entaxy.bundles-repacked</groupId>
		<artifactId>ru.entaxy.bundles-repacked.com.google.code.gson-2.8.5.entaxy</artifactId>
		<version>${gson.version}-ENTAXY</version>
    </dependency>
	  	<dependency>	
			<groupId>org.apache.karaf.shell</groupId>
	  		<artifactId>org.apache.karaf.shell.core</artifactId>
	  		<version>${karaf.version}</version>
	  	</dependency>	 
	  	<dependency>
	  		 <groupId>org.apache.karaf.features</groupId>
	  		 <artifactId>org.apache.karaf.features.core</artifactId>
	  		 <version>${karaf.version}</version>
	  	</dependency>
	  	<dependency>
	  		 <groupId>org.apache.karaf.bundle</groupId>
	  		 <artifactId>org.apache.karaf.bundle.core</artifactId>
	  		 <version>${karaf.version}</version>
	  	</dependency>
	  <dependency>
		  <groupId>org.fusesource.jansi</groupId>
		  <artifactId>jansi</artifactId>
		  <version>1.18</version>
	  </dependency>	  		  	    
  </dependencies>
</project>
